<?php

/**
 * i-doit
 *
 * @package     i-doit
 * @subpackage  CMDB_Category_lists
 * @author      Dennis Stuecken <dstuecken@synetics.de>
 * @copyright   synetics GmbH
 * @license     http://www.i-doit.com/license
 */
class isys_cmdb_dao_list_cats_database_objects extends isys_component_dao_category_table_list
{
    /**
     *
     * @return  integer
     */
    public function get_category()
    {
        return defined_or_default('C__CATS__DATABASE_OBJECTS');
    }

    /**
     *
     * @return  integer
     */
    public function get_category_type()
    {
        return C__CMDB__CATEGORY__TYPE_SPECIFIC;
    }

    /**
     *
     * @return  array
     */
    public function get_fields()
    {
        return [
            'isys_cats_database_objects_list__title' => 'LC__UNIVERSAL__TITLE',
            'isys_database_objects__title'           => 'LC__CMDB__CATG__TYPE',
            'isys_cats_database_objects_list__description' => 'LC__CMDB__CAT__COMMENTARY',
        ];
    }
}
